# Overview

 This charm provides [a BOINC client](http://boinc.berkeley.edu/) which will
use the instance's compute resources to help cure diseases, study global
warming, discover pulsars, and do many other types of scientific research.

By default it will join IBM's [World Community Grid](http://worldcommunitygrid.org)
project under the account `ubuntuorangebox`. Stats for this account are
[available
here](http://boincstats.com/en/stats/-1/user/detail/3361586/projectList). Look
in the charm's installation hook to modify the project and account you'd like to
submit work for.

# Usage

Step by step instructions on using the charm:

    juju deploy boinc

This will install and _start the BOINC client_ on the instance. The client will
fetch work from the BOINC servers, then start computing. It
will periodically report findings to the central BOINC server.

## Scale out Usage

You can:

    juju add-unit boinc

To add more compute nodes.

## Known Limitations and Issues

This is a simple charm and has no options yet, the following things are needed:

- [Config options](http://boinc.berkeley.edu/wiki/Client_configuration) to join a project and configure user accounts Needs the ability to add each unit's IP



# Configuration

This charm has no configuration options at this time. However there are some settings thi charm does set:

- `--set_run_mode always` so that the machines are utilizing all the resources on a node
- `--allow_remote_gui_rpc` to allow easy remote monitoring of nodes

Ideally these should be made into charm options so users can toggle them.

# Contact Information

## BOINC

- [BOINC Website](http://boinc.berkeley.edu/)
- [World Community Grid](http://worldcommunitygrid.org)
